GENWQE_UPDATE(1)

NAME
genwqe_update - IBM Hardware Accelerator Tool.

SYNOPSIS
genwqe_update [-h, --help] [-v,--verbose] [-C,--card <cardno>]

DESCRIPTION

    [-V, --version] [-v, --verbose] [-f, --file <image.rbf>] [-p, --partition <partition>] Default: 1 [-x, --verify <0:no|1:yes>]

This utility updates the Genwqes FLASH with an new image from an *.rbf file. Do not disconnect the card from power while updating. Ensure you have the correct update image. Use of incorrect images or interrupting the update will make the card unusable. Example flashing a Genwqe default Partition (Partition 1):

    ./genwqe_update -C0 -f chip_a5_latest.rbf

  Example flashing a Genwqe backup Partition (Partition 0):

    ./genwqe_update -C0 -p 0 -f chip_a5_latest.rbf

Please note that updating the card can take some time. So please be patient and do not try to abort this process, because this might corrupt the card image, and the card won't work as expected afterwards.